Page MenuHomePhabricator

[bug] Banners adding themselves to some buckets
Open, Needs TriagePublic

Description

Some users have reported not seeing the banner for the WMF board vote in certain countries.

Please see also the thread "Banner for voting board not displayed in Italian Wikipedia" on the Wikimedia-l mailing list.

@Philippe-WMF reports that he allocated banners into buckets A & B, but CN put them in A & C but not B (which he saw in the UI) and only sent readers into buckets A & B, such that the banner in C was never displayed. He tried to turn off bucketing and it wouldn't turn off (but now it looks like each campaign has only 1 bucket, Philippe thinks this happened when he took the 2nd banner out).

As a workaround, he has made 2 campaigns (1 with each banner) and balanced them. Obviously this is not ideal.

Event Timeline

AndyRussG claimed this task.
AndyRussG raised the priority of this task from to Needs Triage.
AndyRussG updated the task description. (Show Details)
AndyRussG added a subscriber: AndyRussG.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2015, 3:42 PM

The campaigns with banners about the board vote (reported on the mailing list) are not targeted to any specific country, as shown here:

https://meta.wikimedia.org/w/index.php?title=Special:CentralNotice&subaction=noticeDetail&notice=Election2015_Boardvoting
https://meta.wikimedia.org/w/index.php?title=Special:CentralNotice&subaction=noticeDetail&notice=Election2015_Boardvoting2

However, there are some country-specific campaigns at the same or higher priority levels, which may take page views away from the campaigns for the board vote.

If you find you're not seeing the banners you expect, here are some steps you can take to try to track down the problem:

  • Check out the campaign and banner allocations for your country and language to see what CentralNotice thinks you should be getting.
  • If you're not seeing the board vote banners, make sure you're logged in (since they're not shown to anonymous users).
  • Open the developer tools in your browser and check the console to see if there are any errors.

Thanks! More soon!

More details and stuff to try for anyone who's seeing this issue and might like to help track it down:

  • The selection of the banner that a user sees is a pretty involved process. First, the server determines which campaigns may be applicable to a user. You can see this raw data in your browser if you add the debug=true param to your URL, then go into the debugger and look at the contents of the RL module ext.centralNotice.bannerChoiceData.
  • In the browser, Javascript receives that data and filters it based on logged-in status, device and country. You can see if any banner choices remain after the first round of filtering by going to the browser console and typing mw.cnBannerControllerLib.choiceData (and then pressing Enter).
  • You can also look at the Network tab of your browser's developer tools, to see if any calls to the server failed. Especially, check that the call to Special:BannerLoader went OK.
  • There may be some issues with old Javscript getting cached longer than it's supposed to by ISPs. If you see this issue, please provide some info about the type of network you're on, if possible.
  • If you see this issue, please also let us know your operating system, operating system version, browser and browser version.

Thanks again!!

This is fixed, for now.

The issue was with the bucketing of the banners. Nothing was going to bucket B, but to buckets A and C. But there was no banner assigned to C.

We moved to two separate campaigns with one banner each and that resolved it.

pb

atgo closed this task as Invalid.May 21 2015, 5:35 PM
atgo added a subscriber: atgo.

Closing! @Philippe-WMF did you get a warning that there was an empty bucket when you made the campaign? It should've alerted you. If not, we'll dig into that and get it fixed :)

We did not, because we only set up two buckets... A and B.

it moved stuff to C.


Philippe Beaudette
Director, Community Advocacy
Wikimedia Foundation, Inc.

415-839-6885, x 6643

philippe@wikimedia.org

atgo renamed this task from [possible bug] Banners not displayed in some countries as expected to [bug] Banners adding themselves to some .May 21 2015, 8:45 PM
atgo reopened this task as Open.
atgo updated the task description. (Show Details)
atgo set Security to None.
atgo updated the task description. (Show Details)

Edited task description & reopened following conversation with Philippe

Elitre added a subscriber: Elitre.May 27 2015, 2:06 PM
atgo renamed this task from [bug] Banners adding themselves to some to [bug] Banners adding themselves to some buckets.May 27 2015, 3:05 PM
jrbs moved this task from Backlog to Other team on the Trust-and-Safety board.May 3 2017, 11:49 PM
jrbs added a subscriber: jrbs.

I'm guessing this is still an issue, but I'm not sure it belongs with Trust-and-Safety